require( "scripts/styles/tutorialstyle.lua" );

local boxBorder = 40;
local imageWidth = 400;
local imageHeight = 256;

MakeDisplayHierarchy
{
	BlgMovieClip
	{
		name = "waveAnimMC",
		repeatCount = 1,
		
		commands = {
			[1] = function()
					PlayWaveSound();
				end,
			[45] = function()
					BuildNextPuzzle();
				end,
			[90] = function()
					ActivatePuzzle();
				end
		},
		
		BlgContainer {
			animation = {
				keyframes = {
					{
						index = 0,
						alpha = 0,
						tweens = {
							{
								type = "CustomEase",
								target = TWEEN_ALL,
								points = {
									{x = 0.1233, y = 0.8819},
									{x = 0.6667, y = 1},
								},
							},
						},
					},
					{
						index = 45,
						x = 0,
						y = -584,
						alpha = 1,
						tweens = {
							{
							type = "CustomEase",
							target = TWEEN_ALL,
								points = {
									{x = 0.3333, y = 0},
									{x = 0.9186, y = 0.1215},
								},
							},
						},
					},
					{
						index = 90,
						x = 0,
						y = 0,
						alpha = 0,
					},
				},
			},
			transformMatrix = {y = 450},
			
			BlgBitmap{
				image = "level/sandcastle/textures/wave",
				center = {x = 0, y = 0}
			},
			BlgParticles{
				transformMatrix = {x = 85, y = 23},
				path = "level/sandcastle/particles/ocean_water_small.lua",
				playTime = 0,
			},
			BlgParticles{
				transformMatrix = {x = 387, y = 111},
				path = "level/sandcastle/particles/ocean_water.lua",
				playTime = 0,
			},
			BlgParticles{
				transformMatrix = {x = 685, y = 48},
				path = "level/sandcastle/particles/ocean_water_small.lua",
				playTime = 0,
			},
			BlgParticles{
				transformMatrix = {x = 85, y = 23},
				path = "level/sandcastle/particles/ocean_bubbles_small.lua",
				playTime = 0,
			},
			BlgParticles{
				transformMatrix = {x =387, y = 111},
				path = "level/sandcastle/particles/ocean_bubbles_small.lua",
				playTime = 0,
			},
			BlgParticles{
				transformMatrix = {x = 685, y = 48},
				path = "level/sandcastle/particles/ocean_bubbles_small.lua",
				playTime = 0,
			},
		},
	},
}; -- MakeDisplayHierarchy
